-- phpMyAdmin SQL Dump
-- version 4.0.9
-- http://www.phpmyadmin.net
--
-- ホスト: 127.0.0.1
-- 生成日時: 2014 年 2 月 06 日 10:45
-- サーバのバージョン: 5.6.14
-- PHP のバージョン: 5.5.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- データベース: `techfun`
--

-- --------------------------------------------------------

--
-- テーブルの構造 `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `category_name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 ;

--
-- テーブルのデータのダンプ `category`
--

INSERT INTO `category` (`id`, `category_name`) VALUES
(1, 'CD・DVD・ゲーム'),
(2, '本'),
(3, 'パソコン・周辺機器'),
(4, '家電・AV・カメラ'),
(5, 'インテリア・家具'),
(6, 'キッチン・日用品雑貨'),
(7, 'ファッション'),
(8, '食品');

-- --------------------------------------------------------

--
-- テーブルの構造 `member`
--

CREATE TABLE IF NOT EXISTS `member` (
  `member_id` char(5) NOT NULL,
  `name` varchar(50) NOT NULL,
  `furigana` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `birthday` date DEFAULT NULL,
  `seibetsu` char(1) DEFAULT NULL,
  `zipcd` varchar(10) DEFAULT NULL,
  `prefecture` varchar(15) DEFAULT NULL,
  `city` varchar(20) DEFAULT NULL,
  `oaddress` varchar(100) DEFAULT NULL,
  `tel` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`member_id`)
) ENGINE=InnoDB;

--
-- テーブルのデータのダンプ `member`
--

INSERT INTO `member` (`member_id`, `name`, `furigana`, `email`, `birthday`, `seibetsu`, `zipcd`, `prefecture`, `city`, `oaddress`, `tel`) VALUES
('00001', '佐藤一郎', 'サトウイチロウ', 'sato@test.jp', '1977-12-04', '1', '111-2322', '東京都', '千代田区', '桜町1-6-5', '03-5886-2222'),
('00002', '秋葉原学', 'アキハバラマナブ', 'akiba@test.com', '1988-04-04', '1', '100-9999', '東京都', '千代田区', '秋葉原町2-6-801', NULL),
('00003', '入間緑', 'イルマミドリ', 'iruma@test.jp', '1975-01-01', '2', '222-5555', '埼玉県', '入間市', '入間555', '090-8888-5555'),
('00004', '神田たかし', 'カンダタカシ', 'kanda@test.co.jp', '1985-03-09', '1', '100-7777', '東京都', '千代田区', '神田南5-9-6', '090-7777-6666'),
('00005', '朝霞太郎', 'アサカタロウ', 'asaka@test.com', '1965-08-20', '1', '333-6666', '埼玉県', '朝霞市', '朝霞西2-55-6-101', '070-6667-1111'),
('00006', '斉藤和子', 'サイトウカズコ', 'kazuko@test.ne.jp', '1958-06-03', '2', '888-6666', '茨城県', '古河市', '中町1-33', NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `product`
--

CREATE TABLE IF NOT EXISTS `product` (
  `product_id` char(10) NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `category_id` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY (`product_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB;

--
-- テーブルのデータのダンプ `product`
--

INSERT INTO `product` (`product_id`, `product_name`, `category_id`, `price`) VALUES
('0000000001', '癒しの名曲　ショパン', 1, 3150),
('0000000002', 'ピアノ名曲ベスト100', 1, 3000),
('0000000003', 'ザ・ベスト10', 1, 3058),
('0000000004', 'そらのうた', 1, 3000),
('0000000005', '3日でマスターできるJavaの本', 2, 3500),
('0000000006', 'サルでも分かるJava', 2, 2000),
('0000000007', 'SQL入門', 2, 2500),
('0000000008', '楽しい楽しいHTML', 2, 1500),
('0000000009', 'KAMEJIRUSHI　超極上炊き炊飯器', 4, 53000),
('0000000010', '超グリルなグリル鍋', 4, 10000),
('0000000011', 'らくらくオーブンレンジ', 4, 28000),
('0000000012', 'ななめドラム式洗濯乾燥機', 4, 168000),
('0000000013', '50型プラズマテレビ', 4, 278000),
('0000000014', 'すっきりきれい洗濯洗剤', 6, 1980),
('0000000015', 'しっとりお肌に！ボディソープ', 6, 455);

-- --------------------------------------------------------

--
-- テーブルの構造 `vip_member`
--

CREATE TABLE IF NOT EXISTS `vip_member` (
  `member_id` char(5) NOT NULL,
  `name` varchar(50) NOT NULL,
  `furigana` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`member_id`)
) ENGINE=InnoDB;

--
-- ダンプしたテーブルの制約
--

--
-- テーブルの制約 `product`
--
ALTER TABLE `product`
  ADD CONSTRAINT `product_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `category` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
